Index: include/class.issue.php
===================================================================
--- include/class.issue.php	(revision 3164)
+++ include/class.issue.php	(working copy)
@@ -2101,20 +2091,20 @@
 
             // now process any files being uploaded
             $found = 0;
-            for ($i = 0; $i < count(@$HTTP_POST_FILES["file"]["name"]); $i++) {
-                if (!@empty($HTTP_POST_FILES["file"]["name"][$i])) {
+            for ($i = 0; $i < count(@$_FILES["file"]["name"]); $i++) {
+                if (!@empty($_FILES["file"]["name"][$i])) {
                     $found = 1;
                     break;
                 }
             }
             if ($found) {
                 $files = array();
-                for ($i = 0; $i < count($HTTP_POST_FILES["file"]["name"]); $i++) {
-                    $filename = @$HTTP_POST_FILES["file"]["name"][$i];
+                for ($i = 0; $i < count($_FILES["file"]["name"]); $i++) {
+                    $filename = @$_FILES["file"]["name"][$i];
                     if (empty($filename)) {
                         continue;
                     }
-                    $blob = Misc::getFileContents($HTTP_POST_FILES["file"]["tmp_name"][$i]);
+                    $blob = Misc::getFileContents($_FILES["file"]["tmp_name"][$i]);
                     if (empty($blob)) {
                         // error reading a file
                         $insert_errors["file[$i]"] = "There was an error uploading the file '$filename'.";
@@ -2122,7 +2112,7 @@
                     }
                     $files[] = array(
                         "filename" => $filename,
-                        "type"     => $HTTP_POST_FILES['file']['type'][$i],
+                        "type"     => $_FILES['file']['type'][$i],
                         "blob"     => $blob
                     );
                 }
@@ -2134,29 +2124,29 @@
                 }
             }
             // need to associate any emails ?
-            if (!empty($HTTP_POST_VARS["attached_emails"])) {
-                $items = explode(",", $HTTP_POST_VARS["attached_emails"]);
+            if (!empty($_POST["attached_emails"])) {
+                $items = explode(",", $_POST["attached_emails"]);
                 Support::associate($usr_id, $new_issue_id, $items);
             }
             // need to notify any emails being converted into issues ?
-            if (@count($HTTP_POST_VARS["notify_senders"]) > 0) {
-                $recipients = Notification::notifyEmailConvertedIntoIssue($prj_id, $new_issue_id, $HTTP_POST_VARS["notify_senders"], @$HTTP_POST_VARS['customer']);
+            if (@count($_POST["notify_senders"]) > 0) {
+                $recipients = Notification::notifyEmailConvertedIntoIssue($prj_id, $new_issue_id, $_POST["notify_senders"], @$_POST['customer']);
             } else {
                 $recipients = array();
             }
             // need to process any custom fields ?
-            if (@count($HTTP_POST_VARS["custom_fields"]) > 0) {
-                foreach ($HTTP_POST_VARS["custom_fields"] as $fld_id => $value) {
+            if (@count($_POST["custom_fields"]) > 0) {
+                foreach ($_POST["custom_fields"] as $fld_id => $value) {
                     Custom_Field::associateIssue($new_issue_id, $fld_id, $value);
                 }
             }
             // also send a special confirmation email to the customer contact
-            if ((@$HTTP_POST_VARS['notify_customer'] == 'yes') && (!empty($HTTP_POST_VARS['contact']))) {
+            if ((@$_POST['notify_customer'] == 'yes') && (!empty($_POST['contact']))) {
                 // also need to pass the list of sender emails already notified,
                 // so we can avoid notifying the same person again
-                $contact_email = User::getEmailByContactID($HTTP_POST_VARS['contact']);
+                $contact_email = User::getEmailByContactID($_POST['contact']);
                 if (@!in_array($contact_email, $recipients)) {
-                    Customer::notifyCustomerIssue($prj_id, $new_issue_id, $HTTP_POST_VARS['contact']);
+                    Customer::notifyCustomerIssue($prj_id, $new_issue_id, $_POST['contact']);
                 }
             }
 
@@ -2179,13 +2169,12 @@
      */
     function getParam($name)
     {
-        global $HTTP_POST_VARS, $HTTP_GET_VARS;
         $profile = Search_Profile::getProfile(Auth::getUserID(), Auth::getCurrentProject(), 'issue');
 
-        if (isset($HTTP_GET_VARS[$name])) {
-            return $HTTP_GET_VARS[$name];
-        } elseif (isset($HTTP_POST_VARS[$name])) {
-            return $HTTP_POST_VARS[$name];
+        if (isset($_GET[$name])) {
+            return $_GET[$name];
+        } elseif (isset($_POST[$name])) {
+            return $_POST[$name];
         } elseif (isset($profile[$name])) {
             return $profile[$name];
         } else {
@@ -2292,7 +2281,6 @@
      */
     function getSortingInfo($options)
     {
-        global $HTTP_SERVER_VARS;
 
         $custom_fields = Custom_Field::getFieldsToBeListed(Auth::getCurrentProject());
 
@@ -2327,7 +2315,7 @@
                     $sort_order = "asc";
                 }
             }
-            $items["links"][$field] = $HTTP_SERVER_VARS["PHP_SELF"] . "?sort_by=" . $field . "&sort_order=" . $sort_order;
+            $items["links"][$field] = $_SERVER["PHP_SELF"] . "?sort_by=" . $field . "&sort_order=" . $sort_order;
         }
         return $items;
     }
@@ -3174,7 +3162,6 @@
      */
     function getDetails($issue_id, $force_refresh = false)
     {
-        global $HTTP_SERVER_VARS;
         static $returns;
 
         $issue_id = Misc::escapeInteger($issue_id);
@@ -3248,7 +3235,7 @@
                     }
                 }
                 $res['iss_original_description'] = $res["iss_description"];
-                if (!strstr($HTTP_SERVER_VARS["PHP_SELF"], 'update.php')) {
+                if (!strstr($_SERVER["PHP_SELF"], 'update.php')) {
                     $res["iss_description"] = nl2br(htmlspecialchars($res["iss_description"]));
                     $res["iss_resolution"] = Resolution::getTitle($res["iss_res_id"]);
                 }
@@ -3348,14 +3335,12 @@
      */
     function bulkUpdate()
     {
-        global $HTTP_POST_VARS;
-
         // check if user performing this chance has the proper role
         if (Auth::getCurrentRole() < User::getRoleID('Manager')) {
             return -1;
         }
 
-        $items = Misc::escapeInteger($HTTP_POST_VARS['item']);
+        $items = Misc::escapeInteger($_POST['item']);
         $new_status_id = Misc::escapeInteger($_POST['status']);
         $new_release_id = Misc::escapeInteger($_POST['release']);
         $new_priority_id = Misc::escapeInteger($_POST['priority']);
@@ -3364,7 +3349,7 @@
         for ($i = 0; $i < count($items); $i++) {
             if (!Issue::canAccess($items[$i], Auth::getUserID())) {
                 continue;
-            } elseif (Issue::getProjectID($HTTP_POST_VARS['item'][$i]) != Auth::getCurrentProject()) {
+            } elseif (Issue::getProjectID($_POST['item'][$i]) != Auth::getCurrentProject()) {
                 // make sure issue is not in another project
                 continue;
             }
@@ -3372,8 +3357,8 @@
             $updated_fields = array();
 
             // update assignment
-            if (count(@$HTTP_POST_VARS['users']) > 0) {
-                $users = Misc::escapeInteger($HTTP_POST_VARS['users']);
+            if (count(@$_POST['users']) > 0) {
+                $users = Misc::escapeInteger($_POST['users']);
                 // get who this issue is currently assigned too
                 $stmt = "SELECT
                             isu_usr_id,
@@ -3485,16 +3470,14 @@
      */
     function setImpactAnalysis($issue_id)
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
                     iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
                     iss_last_internal_action_date='" . Date_API::getCurrentDateGMT() . "',
                     iss_last_internal_action_type='update',
-                    iss_developer_est_time=" . Misc::escapeInteger($HTTP_POST_VARS["dev_time"]) . ",
-                    iss_impact_analysis='" . Misc::escapeString($HTTP_POST_VARS["impact_analysis"]) . "'
+                    iss_developer_est_time=" . Misc::escapeInteger($_POST["dev_time"]) . ",
+                    iss_impact_analysis='" . Misc::escapeString($_POST["impact_analysis"]) . "'
                  WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
Index: include/class.customer.php
===================================================================
--- include/class.customer.php	(revision 3164)
+++ include/class.customer.php	(working copy)
@@ -972,8 +972,6 @@
      */
     function insertAccountManager()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "customer_account_manager
                  (
@@ -982,10 +980,10 @@
                     cam_usr_id,
                     cam_type
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS['project']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['customer']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['manager']) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS['type']) . "'
+                    " . Misc::escapeInteger($_POST['project']) . ",
+                    " . Misc::escapeInteger($_POST['customer']) . ",
+                    " . Misc::escapeInteger($_POST['manager']) . ",
+                    '" . Misc::escapeString($_POST['type']) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -1030,17 +1028,15 @@
      */
     function updateAccountManager()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "customer_account_manager
                  SET
-                    cam_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS['project']) . ",
-                    cam_customer_id=" . Misc::escapeInteger($HTTP_POST_VARS['customer']) . ",
-                    cam_usr_id=" . Misc::escapeInteger($HTTP_POST_VARS['manager']) . ",
-                    cam_type='" . Misc::escapeString($HTTP_POST_VARS['type']) . "'
+                    cam_prj_id=" . Misc::escapeInteger($_POST['project']) . ",
+                    cam_customer_id=" . Misc::escapeInteger($_POST['customer']) . ",
+                    cam_usr_id=" . Misc::escapeInteger($_POST['manager']) . ",
+                    cam_type='" . Misc::escapeString($_POST['type']) . "'
                  WHERE
-                    cam_id=" . $HTTP_POST_VARS['id'];
+                    cam_id=" . $_POST['id'];
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -1060,9 +1056,7 @@
      */
     function removeAccountManager()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "customer_account_manager
                  WHERE
Index: include/class.note.php
===================================================================
--- include/class.note.php	(revision 3164)
+++ include/class.note.php	(working copy)
@@ -280,14 +280,12 @@
      */
     function insert($usr_id, $issue_id, $unknown_user = FALSE, $log = true, $closing = false, $send_notification = true)
     {
-        global $HTTP_POST_VARS;
-
         $issue_id = Misc::escapeInteger($issue_id);
 
-        if (@$HTTP_POST_VARS['add_extra_recipients'] != 'yes') {
+        if (@$_POST['add_extra_recipients'] != 'yes') {
             $note_cc = array();
         } else {
-            $note_cc = $HTTP_POST_VARS['note_cc'];
+            $note_cc = $_POST['note_cc'];
         }
         // add the poster to the list of people to be subscribed to the notification list
         // only if there is no 'unknown user'.
@@ -297,11 +295,11 @@
                 Notification::subscribeUser($usr_id, $issue_id, $note_cc[$i], Notification::getDefaultActions());
             }
         }
-        if (Validation::isWhitespace($HTTP_POST_VARS["note"])) {
+        if (Validation::isWhitespace($_POST["note"])) {
             return -2;
         }
-        if (empty($HTTP_POST_VARS['message_id'])) {
-            $HTTP_POST_VARS['message_id'] = Mail_API::generateMessageID();
+        if (empty($_POST['message_id'])) {
+            $_POST['message_id'] = Mail_API::generateMessageID();
         }
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
@@ -311,11 +309,11 @@
                     not_created_date,
                     not_note,
                     not_title";
-        if (!@empty($HTTP_POST_VARS['blocked_msg'])) {
+        if (!@empty($_POST['blocked_msg'])) {
             $stmt .= ", not_blocked_message";
         }
         $stmt .= ", not_message_id";
-        if (!@empty($HTTP_POST_VARS['parent_id'])) {
+        if (!@empty($_POST['parent_id'])) {
             $stmt .= ", not_parent_id";
         }
         if ($unknown_user != false) {
@@ -326,14 +324,14 @@
                     $issue_id,
                     $usr_id,
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["note"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'";
-        if (!@empty($HTTP_POST_VARS['blocked_msg'])) {
-            $stmt .= ", '" . Misc::escapeString($HTTP_POST_VARS['blocked_msg']) . "'";
+                    '" . Misc::escapeString($_POST["note"]) . "',
+                    '" . Misc::escapeString($_POST["title"]) . "'";
+        if (!@empty($_POST['blocked_msg'])) {
+            $stmt .= ", '" . Misc::escapeString($_POST['blocked_msg']) . "'";
         }
-        $stmt .= ", '" . Misc::escapeString($HTTP_POST_VARS['message_id']) . "'";
-        if (!@empty($HTTP_POST_VARS['parent_id'])) {
-            $stmt .= ", " . Misc::escapeInteger($HTTP_POST_VARS['parent_id']) . "";
+        $stmt .= ", '" . Misc::escapeString($_POST['message_id']) . "'";
+        if (!@empty($_POST['parent_id'])) {
+            $stmt .= ", " . Misc::escapeInteger($_POST['parent_id']) . "";
         }
         if ($unknown_user != false) {
             $stmt .= ", '" . Misc::escapeString($unknown_user) . "'";
@@ -354,8 +352,8 @@
             // send notifications for the issue being updated
             if ($send_notification) {
                 $internal_only = true;
-                if ((@$HTTP_POST_VARS['add_extra_recipients'] != 'yes') && (@count($HTTP_POST_VARS['note_cc']) > 0)) {
-                    Notification::notify($issue_id, 'notes', $new_note_id, $internal_only, $HTTP_POST_VARS['note_cc']);
+                if ((@$_POST['add_extra_recipients'] != 'yes') && (@count($_POST['note_cc']) > 0)) {
+                    Notification::notify($issue_id, 'notes', $new_note_id, $internal_only, $_POST['note_cc']);
                 } else {
                     Notification::notify($issue_id, 'notes', $new_note_id, $internal_only);
                 }
@@ -833,4 +831,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Note Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.workflow.php
===================================================================
--- include/class.workflow.php	(revision 3164)
+++ include/class.workflow.php	(working copy)
@@ -139,7 +139,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The ID of the user.
      * @param   array $old_details The old details of the issues.
-     * @param   array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @param   array $changes The changes that were applied to this issue (the $_POST)
      */
     function handleIssueUpdated($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
@@ -192,7 +192,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The id of the user who locked the issue.
      * @param   array $old_details The old details of the issue.
-     * @param   array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @param   array $changes The changes that were applied to this issue (the $_POST)
      */
     function handlePriorityChange($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
Index: include/class.language.php
===================================================================
--- include/class.language.php	(revision 3164)
+++ include/class.language.php	(working copy)
@@ -41,7 +41,7 @@
 
     function setup()
     {
-        global $HTTP_GET_VARS, $HTTP_SESSION_VARS, $avail_langs;
+        global $avail_langs;
 
         // please add the following line to config.inc.php, changing to whatever language you prefer
         // define('APP_DEFAULT_LOCALE', 'en_US');
@@ -60,7 +60,7 @@
      */
     function setPreference()
     {
-        global $HTTP_GET_VARS, $HTTP_SESSION_VARS, $avail_langs;
+        global $avail_langs;
 
         $usr_id = Auth::getUserID();
         if (empty($usr_id)) {
Index: include/class.attachment.php
===================================================================
--- include/class.attachment.php	(revision 3164)
+++ include/class.attachment.php	(working copy)
@@ -440,21 +440,19 @@
      */
     function attach($usr_id, $status = 'public')
     {
-        global $HTTP_POST_VARS, $HTTP_POST_FILES;
-
         $files = array();
-        for ($i = 0; $i < count($HTTP_POST_FILES["attachment"]["name"]); $i++) {
-            $filename = @$HTTP_POST_FILES["attachment"]["name"][$i];
+        for ($i = 0; $i < count($_FILES["attachment"]["name"]); $i++) {
+            $filename = @$_FILES["attachment"]["name"][$i];
             if (empty($filename)) {
                 continue;
             }
-            $blob = Misc::getFileContents($HTTP_POST_FILES["attachment"]["tmp_name"][$i]);
+            $blob = Misc::getFileContents($_FILES["attachment"]["tmp_name"][$i]);
             if (empty($blob)) {
                 return -1;
             }
             $files[] = array(
                 "filename"  =>  $filename,
-                "type"      =>  $HTTP_POST_FILES['attachment']['type'][$i],
+                "type"      =>  $_FILES['attachment']['type'][$i],
                 "blob"      =>  $blob
             );
         }
@@ -466,26 +464,26 @@
         } else {
             $internal_only = false;
         }
-        $attachment_id = Attachment::add($HTTP_POST_VARS["issue_id"], $usr_id, @$HTTP_POST_VARS["file_description"], $internal_only);
+        $attachment_id = Attachment::add($_POST["issue_id"], $usr_id, @$_POST["file_description"], $internal_only);
         foreach ($files as $file) {
-            Attachment::addFile($attachment_id, $HTTP_POST_VARS["issue_id"], $file["filename"], $file["type"], $file["blob"]);
+            Attachment::addFile($attachment_id, $_POST["issue_id"], $file["filename"], $file["type"], $file["blob"]);
         }
 
-        Issue::markAsUpdated($HTTP_POST_VARS["issue_id"], "file uploaded");
+        Issue::markAsUpdated($_POST["issue_id"], "file uploaded");
         // need to save a history entry for this
-        History::add($HTTP_POST_VARS["issue_id"], $usr_id, History::getTypeID('attachment_added'), 'Attachment uploaded by ' . User::getFullName($usr_id));
+        History::add($_POST["issue_id"], $usr_id, History::getTypeID('attachment_added'), 'Attachment uploaded by ' . User::getFullName($usr_id));
 
         // if there is customer integration, mark last customer action
-        if ((Customer::hasCustomerIntegration(Issue::getProjectID($HTTP_POST_VARS["issue_id"]))) && (User::getRoleByUser($usr_id, Issue::getProjectID($HTTP_POST_VARS["issue_id"])) == User::getRoleID('Customer'))) {
-            Issue::recordLastCustomerAction($HTTP_POST_VARS["issue_id"]);
+        if ((Customer::hasCustomerIntegration(Issue::getProjectID($_POST["issue_id"]))) && (User::getRoleByUser($usr_id, Issue::getProjectID($_POST["issue_id"])) == User::getRoleID('Customer'))) {
+            Issue::recordLastCustomerAction($_POST["issue_id"]);
         }
 
-        Workflow::handleAttachment(Issue::getProjectID($HTTP_POST_VARS["issue_id"]), $HTTP_POST_VARS["issue_id"], $usr_id);
+        Workflow::handleAttachment(Issue::getProjectID($_POST["issue_id"]), $_POST["issue_id"], $usr_id);
 
         // send notifications for the issue being updated
         // XXX: eventually need to restrict the list of people who receive a notification about this in a better fashion
         if ($status == 'public') {
-            Notification::notify($HTTP_POST_VARS["issue_id"], 'files', $attachment_id);
+            Notification::notify($_POST["issue_id"], 'files', $attachment_id);
         }
         return 1;
     }
@@ -542,8 +540,6 @@
      */
     function add($issue_id, $usr_id, $description, $internal_only = FALSE, $unknown_user = FALSE, $associated_note_id = FALSE)
     {
-        global $HTTP_POST_VARS;
-
         if ($internal_only) {
             $attachment_status = 'internal';
         } else {
@@ -633,4 +629,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Attachment Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.group.php
===================================================================
--- include/class.group.php	(revision 3164)
+++ include/class.group.php	(working copy)
@@ -55,8 +55,6 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . ".`" . APP_TABLE_PREFIX . "group`
                  (
@@ -64,9 +62,9 @@
                     grp_description,
                     grp_manager_usr_id
                  ) VALUES (
-                    '" . Misc::escapeString($HTTP_POST_VARS["group_name"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["description"]) . "',
-                    '" . Misc::escapeInteger($HTTP_POST_VARS["manager"]) . "'
+                    '" . Misc::escapeString($_POST["group_name"]) . "',
+                    '" . Misc::escapeString($_POST["description"]) . "',
+                    '" . Misc::escapeInteger($_POST["manager"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -75,9 +73,9 @@
         } else {
             $grp_id = $GLOBALS["db_api"]->get_last_insert_id();
             
-            Group::setProjects($grp_id, $HTTP_POST_VARS["projects"]);
+            Group::setProjects($grp_id, $_POST["projects"]);
             
-            foreach ($HTTP_POST_VARS["users"] as $usr_id) {
+            foreach ($_POST["users"] as $usr_id) {
                 User::setGroupID($usr_id, $grp_id);
             }
             return 1;
@@ -93,34 +91,32 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        $HTTP_POST_VARS['id'] = Misc::escapeInteger($HTTP_POST_VARS['id']);
+        $_POST['id'] = Misc::escapeInteger($_POST['id']);
         
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . ".`" . APP_TABLE_PREFIX . "group`
                  SET
-                    grp_name = '" . Misc::escapeString($HTTP_POST_VARS["group_name"]) . "',
-                    grp_description = '" . Misc::escapeString($HTTP_POST_VARS["description"]) . "',
-                    grp_manager_usr_id = '" . Misc::escapeInteger($HTTP_POST_VARS["manager"]) . "'
+                    grp_name = '" . Misc::escapeString($_POST["group_name"]) . "',
+                    grp_description = '" . Misc::escapeString($_POST["description"]) . "',
+                    grp_manager_usr_id = '" . Misc::escapeInteger($_POST["manager"]) . "'
                  WHERE
-                    grp_id = " . $HTTP_POST_VARS["id"];
+                    grp_id = " . $_POST["id"];
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
-            Group::setProjects($HTTP_POST_VARS["id"], $HTTP_POST_VARS["projects"]);
+            Group::setProjects($_POST["id"], $_POST["projects"]);
             // get old users so we can remove any ones that have been removed
-            $existing_users = Group::getUsers($HTTP_POST_VARS["id"]);
-            $diff = array_diff($existing_users, Misc::escapeInteger($HTTP_POST_VARS["users"]));
+            $existing_users = Group::getUsers($_POST["id"]);
+            $diff = array_diff($existing_users, Misc::escapeInteger($_POST["users"]));
             if (count($diff) > 0) {
                 foreach ($diff as $usr_id) {
                     User::setGroupID($usr_id, false);
                 }
             }
-            foreach ($HTTP_POST_VARS["users"] as $usr_id) {
-                User::setGroupID($usr_id, $HTTP_POST_VARS["id"]);
+            foreach ($_POST["users"] as $usr_id) {
+                User::setGroupID($usr_id, $_POST["id"]);
             }
             return 1;
         }
@@ -134,9 +130,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        foreach (Misc::escapeInteger(@$HTTP_POST_VARS["items"]) as $grp_id) {
+        foreach (Misc::escapeInteger(@$_POST["items"]) as $grp_id) {
             $users = Group::getUsers($grp_id);
             
             $stmt = "DELETE FROM
@@ -457,4 +451,4 @@
     }
 }
 
-?>
\ No newline at end of file
+?>
Index: include/class.pager.php
===================================================================
--- include/class.pager.php	(revision 3164)
+++ include/class.pager.php	(working copy)
@@ -87,11 +87,9 @@
      */
     function _buildQueryString()
     {
-        global $HTTP_GET_VARS;
-
         $query_str = "";
         // gotta check manually here
-        $params = $HTTP_GET_VARS;
+        $params = $_GET;
         while (list($key, $value) = each($params)) {
             if ($key != "pagerRow") {
                 $query_str .= "&" . $key . "=" . urlencode($value);
@@ -116,8 +114,6 @@
      */
     function getLinks($row, $total_rows, $per_page, $show_links = "all", $show_blank = "off", $link_str = -1)
     {
-        global $HTTP_SERVER_VARS;
-
         // check for emptyness
         if ((empty($total_rows)) || (empty($per_page))) {
             return array();
@@ -129,7 +125,7 @@
             );
         }
         $extra_vars = Pager::_buildQueryString();
-        $file = $HTTP_SERVER_VARS["SCRIPT_NAME"];
+        $file = $_SERVER["SCRIPT_NAME"];
         $number_of_pages = ceil($total_rows / $per_page);
         $subscript = 0;
         for ($current = 0; $current < $number_of_pages; $current++) {
Index: include/class.draft.php
===================================================================
--- include/class.draft.php	(revision 3164)
+++ include/class.draft.php	(working copy)
@@ -421,17 +421,15 @@
      */
     function send($draft_id)
     {
-        global $HTTP_POST_VARS;
-
         $draft_id = Misc::escapeInteger($draft_id);
         $draft = Draft::getDetails($draft_id);
-        $HTTP_POST_VARS["issue_id"] = $draft["emd_iss_id"];
-        $HTTP_POST_VARS["subject"] = $draft["emd_subject"];
-        $HTTP_POST_VARS["from"] = User::getFromHeader(Auth::getUserID());
-        $HTTP_POST_VARS["to"] = $draft["to"];
-        $HTTP_POST_VARS["cc"] = @join(";", $draft["cc"]);
-        $HTTP_POST_VARS["message"] = $draft["emd_body"];
-        $HTTP_POST_VARS["ema_id"] = Email_Account::getEmailAccount();
+        $_POST["issue_id"] = $draft["emd_iss_id"];
+        $_POST["subject"] = $draft["emd_subject"];
+        $_POST["from"] = User::getFromHeader(Auth::getUserID());
+        $_POST["to"] = $draft["to"];
+        $_POST["cc"] = @join(";", $draft["cc"]);
+        $_POST["message"] = $draft["emd_body"];
+        $_POST["ema_id"] = Email_Account::getEmailAccount();
         $res = Support::sendEmail();
         if ($res == 1) {
            Draft::remove($draft_id);
Index: include/class.auth.php
===================================================================
--- include/class.auth.php	(revision 3164)
+++ include/class.auth.php	(working copy)
@@ -77,8 +77,7 @@
      */
     function getRequestedURL()
     {
-        global $HTTP_SERVER_VARS;
-        return urlencode($HTTP_SERVER_VARS["REQUEST_URI"]);
+        return urlencode($_SERVER["REQUEST_URI"]);
     }
 
 
@@ -95,16 +94,14 @@
      */
     function checkAuthentication($cookie_name, $failed_url = NULL, $is_popup = false)
     {
-        global $HTTP_COOKIE_VARS;
-
         if ($failed_url == NULL) {
             $failed_url = APP_RELATIVE_URL . "index.php?err=5";
         }
         $failed_url .= "&url=" . Auth::getRequestedURL();
-        if (!isset($HTTP_COOKIE_VARS[$cookie_name])) {
+        if (!isset($_COOKIE[$cookie_name])) {
             Auth::redirect($failed_url, $is_popup);
         }
-        $cookie = $HTTP_COOKIE_VARS[$cookie_name];
+        $cookie = $_COOKIE[$cookie_name];
         $cookie = unserialize(base64_decode($cookie));
         if (!Auth::isValidCookie($cookie)) {
             Auth::removeCookie($cookie_name);
@@ -204,9 +201,7 @@
      */
     function hasCookieSupport($cookie_name)
     {
-        global $HTTP_COOKIE_VARS;
-
-        if (@!in_array($cookie_name, array_keys($HTTP_COOKIE_VARS))) {
+        if (@!in_array($cookie_name, array_keys($_COOKIE))) {
             return false;
         } else {
             return true;
@@ -223,9 +218,7 @@
      */
     function hasValidCookie($cookie_name)
     {
-        global $HTTP_COOKIE_VARS;
-
-        $cookie = @$HTTP_COOKIE_VARS[$cookie_name];
+        $cookie = @$_COOKIE[$cookie_name];
         $cookie = unserialize(base64_decode($cookie));
         if (!Auth::isValidCookie($cookie)) {
             return false;
@@ -245,9 +238,7 @@
      */
     function getCookieInfo($cookie_name)
     {
-        global $HTTP_COOKIE_VARS;
-
-        $cookie = @$HTTP_COOKIE_VARS[$cookie_name];
+        $cookie = @$_COOKIE[$cookie_name];
         return unserialize(base64_decode($cookie));
     }
 
@@ -510,7 +501,6 @@
      */
     function createFakeCookie($usr_id, $project = false)
     {
-        global $HTTP_COOKIE_VARS;
         include_once(APP_INC_PATH . "private_key.php");
 
         $user_details = User::getDetails($usr_id);
@@ -521,14 +511,14 @@
             "login_time"    =>  $time,
             "hash"       => md5($GLOBALS["private_key"] . md5($time) . $user_details['usr_email']),
         );
-        $HTTP_COOKIE_VARS[APP_COOKIE] = base64_encode(serialize($cookie));
+        $_COOKIE[APP_COOKIE] = base64_encode(serialize($cookie));
         if ($project) {
             $cookie = array(
                 "prj_id"   => $project,
                 "remember" => false
             );
         }
-        $HTTP_COOKIE_VARS[APP_PROJECT_COOKIE] = base64_encode(serialize($cookie));
+        $_COOKIE[APP_PROJECT_COOKIE] = base64_encode(serialize($cookie));
     }
 
 
@@ -554,4 +544,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Auth Class');
 }
-?>
\ No newline at end of file
+?>
